"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    redirect: function() {
        return redirect;
    },
    RedirectError: function() {
        return RedirectError;
    }
});
function _class_call_check(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function redirect(url) {
    var statusCode = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : 307;
    throw new RedirectError(url, statusCode);
}
var RedirectError = function RedirectError(url) {
    "use strict";
    var statusCode = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : 307;
    _class_call_check(this, RedirectError);
    _define_property(this, "url", void 0);
    _define_property(this, "statusCode", void 0);
    this.url = url;
    this.statusCode = statusCode;
};
